package com.bytesw.bytebot.bean.agency;

import com.bytesw.bytebot.model.agency.Passenger;
import com.google.gson.annotations.Expose;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import javax.persistence.Column;
import java.io.Serializable;

@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
public class PassengerBean implements Serializable {
    @Expose
    private Integer id;

    @Expose
    private String name;

    @Expose
    private String lastname;

    @Expose
    private String email;

    @Expose
    private String role;

    @Expose
    private String phone;

    @Expose
    private String country;

    @Expose
    private String city;

    @Expose
    private String address;

    public static PassengerBean miniClone(Passenger passenger) {
        return new PassengerBean(passenger.getId(),
                passenger.getName(),
                passenger.getLastname(),
                passenger.getUser().getEmail(),
                passenger.getUser().getRole().getName(),
                passenger.getPhone(),
                passenger.getCountry(),
                passenger.getCity(),
                passenger.getAddress());
    }
}
