package com.bytesw.bytebot.bean.agency;

import com.bytesw.bytebot.model.agency.Airport;
import com.bytesw.bytebot.model.agency.Flight;
import com.bytesw.bytebot.model.agency.Scale;
import com.google.gson.annotations.Expose;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;

@Getter
@Setter
public class ScaleBean implements Serializable {

    @Expose
    private Integer id;

    @Expose
    private Integer flightId;

    @Expose
    private Integer airportOriginId;

    @Expose
    private String airportOriginName;

    @Expose
    private Integer airportDestinationId;

    @Expose
    private String airportDestinationName;

    @Expose
    private String departureDate;

    @Expose
    private String arrivalDate;

    public static ScaleBean miniClone(Scale scale) {
        DateTimeFormatter formatter = DateTimeFormatter.ofPattern("yyyy-MM-dd'T'HH:mm:ss");
        ScaleBean scaleBean = new ScaleBean();
        scaleBean.setId(scale.getId());
        scaleBean.setFlightId(scale.getFlight().getId());
        scaleBean.setAirportOriginId(scale.getAirportOrigin().getId());
        scaleBean.setAirportOriginName(scale.getAirportOrigin().getName());
        scaleBean.setAirportDestinationId(scale.getAirportDestination().getId());
        scaleBean.setAirportDestinationName(scale.getAirportDestination().getName());
        scaleBean.setDepartureDate(scale.getDepartureDate().format(formatter));
        scaleBean.setArrivalDate(scale.getArrivalDate().format(formatter));

        return scaleBean;
    }
}
