package com.bytesw.bytebot.controller.agency;

import com.bytesw.bytebot.bean.agency.SignInBean;
import com.bytesw.bytebot.bean.agency.SignUpBean;
import com.bytesw.bytebot.bean.agency.UserBean;
import com.bytesw.bytebot.service.agency.UserService;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/service/auth")
public class SecurityController {

    private final UserService userService;

    public SecurityController(UserService userService) {
        this.userService = userService;
    }

    @PostMapping("sign-in")
    public ResponseEntity<?> signIn(@RequestBody SignInBean in) {
        return userService.signIn(in);
    }

    @PostMapping("sign-up")
    public ResponseEntity<?> signUp(@RequestBody SignUpBean up) {
        return userService.signUp(up);
    }
}
