package com.bytesw.bytebot.model;

import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.envers.Audited;

import javax.persistence.*;

/**
 * @author Sebastian Chicoma Sandmann
 * @version 09-sep-2020
 *
 * Copyright (c) 2020 Byte, S.A. Todos los derechos reservados.
 *
 * Este software constituye información confidencial y propietaria de Byte, S.A.
 * ("Información Confidencial"). Usted no debe develar dicha Información
 * Confidencial y debe usarla de acuerdo con los términos de aceptación de
 * licencia de uso que firmó con Byte.
 */
@Audited
@Entity
@Table(name = "AVB_DEPLOYMENT_CHANNEL_PARAM_VALUE")
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = {"id"}, callSuper = false)
public class DeploymentChannelParamValue {

    @Id
    @Column(name = "CHPV_ID")
    @SequenceGenerator(name = "AVB_DEPLOYMENT_CHANNEL_PARAM_VALUE_GENERATOR", sequenceName = "AVB_DEPLOYMENT_CHANNEL_PARAM_VALUE_SEQ", initialValue = 1, allocationSize = 1)
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "AVB_DEPLOYMENT_CHANNEL_PARAM_VALUE_GENERATOR")
    private Long id;

    @ManyToOne
    @JoinColumn(name = "CHPA_ID", referencedColumnName = "CHPA_ID")
    private ChannelParam parameter;

    @ManyToOne
    @JoinColumn(name = "DCHA_ID", referencedColumnName = "DCHA_ID")
    private DeploymentChannel deploymentChannel;

    @Column(name = "CHPV_VALUE")
    private String value;

}
