package com.bytesw.bytebot.model.agency;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import javax.persistence.*;
import java.time.LocalDate;

@Entity
@Table(name = "ag_agents")
@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
public class AgencyAgent {
    @Id
    @Column(name = "agent_id")
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    @Column(name = "agent_name", length = 30)
    private String name;

    @Column(name = "agent_lastname", length = 30)
    private String lastname;

    @Column(name = "agent_details", length = 255)
    private String details;

    @Column(name = "agent_deleted_at")
    private LocalDate deletedAt;

    @OneToOne(cascade = CascadeType.ALL)
    private User user;
}
