package com.bytesw.bytebot.model.agency;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import javax.persistence.*;
import java.time.LocalDateTime;

@Entity
@Table(name = "ag_costs")
@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
public class Cost {
    @Id
    @Column(name = "cost_id")
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    @ManyToOne
    @JoinColumn(name = "flight_id", referencedColumnName = "flight_id")
    private Flight flight;

    @Column(name = "cost_departure_date")
    private LocalDateTime departureDate;

    @Column(name = "cost_arrival_date")
    private LocalDateTime arrivalDate;

    @Column(name = "cost_amount", precision = 10, scale = 2)
    private Double amount;
}
