package com.bytesw.bytebot.model.agency;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import javax.persistence.*;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;

@Entity
@Table(name = "ag_flights")
@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
public class Flight {

    @Id
    @Column(name = "flight_id")
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    @ManyToOne
    @JoinColumn(name = "airline_id", referencedColumnName = "airline_id")
    private Airline airline;

    @ManyToOne
    @JoinColumn(name = "aircraft_id", referencedColumnName = "aircraft_id")
    private Aircraft aircraft;

    @ManyToOne
    @JoinColumn(name = "airport_origin_id", referencedColumnName = "airport_id")
    private Airport airportOrigin;

    @ManyToOne
    @JoinColumn(name = "airport_destination_id", referencedColumnName = "airport_id")
    private Airport airportDestination;

    @Column(name = "flight_departure_date")
    private LocalDateTime departureDate;

    @Column(name = "flight_arrival_date")
    private LocalDateTime arrivalDate;

    @OneToMany(cascade = CascadeType.ALL)
    private List<Scale> scales;

    @OneToMany(cascade = CascadeType.ALL)
    private List<Cost> costs;

    @Column(name = "flight_deleted_at")
    private LocalDate deletedAt;
}
