package com.bytesw.bytebot.model.agency;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import javax.persistence.*;
import java.time.LocalDate;

@Entity
@Table(name = "ag_passengers")
@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
public class Passenger {
    @Id()
    @Column(name = "passenger_id")
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    @Column(name = "passenger_name", length = 30)
    private String name;

    @Column(name = "passenger_lastname", length = 30)
    private String lastname;

    @Column(name = "passenger_phone", length = 12)
    private String phone;

    @Column(name = "passenger_country", length = 30)
    private String country;

    @Column(name = "passenger_city", length = 30)
    private String city;

    @Column(name = "passenger_address")
    private String address;

    @Column(name = "passenger_deleted_at")
    private LocalDate deletedAt;

    @OneToOne(cascade = CascadeType.ALL)
    private User user;
}
