package com.bytesw.bytebot.model.agency;

import com.bytesw.bytebot.model.agency.converters.PaymentStatusConverter;
import com.bytesw.bytebot.model.agency.enums.PaymentStatusEnum;
import com.fasterxml.jackson.annotation.JsonIdentityInfo;
import com.fasterxml.jackson.annotation.ObjectIdGenerators;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import javax.persistence.*;
import java.time.LocalDate;
import java.util.Date;

@Entity
@Table(name = "ag_payments")
@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
@JsonIdentityInfo(generator = ObjectIdGenerators.PropertyGenerator.class, property = "id")
public class Payment {
    @Id
    @Column(name = "payment_id")
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    @Column(name = "payment_status")
    @Convert(converter = PaymentStatusConverter.class)
    private PaymentStatusEnum status;

    @Column(name = "payment_amount", precision = 10, scale = 2)
    private Double amount;

    @Column(name = "payment_date")
    private LocalDate date;
}
