package com.bytesw.bytebot.model.agency;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import javax.persistence.*;
import java.time.LocalDateTime;
import java.util.List;

@Entity
@Table(name = "ag_scales")
@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
public class Scale {
    @Id
    @Column(name = "scale_id")
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    @ManyToOne
    @JoinColumn(name = "flight_id", referencedColumnName = "flight_id")
    private Flight flight;

    @ManyToOne
    @JoinColumn(name = "airport_origin_id", referencedColumnName = "airport_id")
    private Airport airportOrigin;

    @ManyToOne
    @JoinColumn(name = "airport_destination_id", referencedColumnName = "airport_id")
    private Airport airportDestination;

    @Column(name = "scale_departure_date")
    private LocalDateTime departureDate;

    @Column(name = "scale_arrival_date")
    private LocalDateTime arrivalDate;
}
