package com.bytesw.bytebot.model.agency;

import com.bytesw.bytebot.model.agency.converters.RoleConverter;
import com.bytesw.bytebot.model.agency.enums.RoleEnum;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import javax.persistence.*;
import java.time.LocalDate;
import java.time.LocalDateTime;

@Entity
@Table(name = "ag_users")
@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
public class User {
    @Id
    @Column(name = "user_id")
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    @Column(name = "user_role")
    @Convert(converter = RoleConverter.class)
    private RoleEnum role;

    @Column(name = "user_email", length = 100)
    private String email;

    @Column(name = "user_password", length = 45)
    private String password;
}
