package com.bytesw.bytebot.model.agency.enums;

import com.bytesw.bytebot.model.enums.StatusEnum;

import java.util.HashMap;
import java.util.Map;

public enum PaymentStatusEnum {
    PAID("PAID"),
    CANCELED("CANCELED"),
    WAITING("WAITING");

    private static final Map<String, PaymentStatusEnum> map = new HashMap<>();

    private final String name;

    PaymentStatusEnum(String name) {
        this.name = name;
    }

    public String getName() { return name; }

    static {
        for (PaymentStatusEnum type : PaymentStatusEnum.values()) {
            map.put(type.getName(), type);
        }
    }

    public static PaymentStatusEnum fromString(String name) {
        return map.get(name);
    }
}
