package com.bytesw.bytebot.model.agency.enums;


import java.util.HashMap;
import java.util.Map;

public enum ReservationStatusEnum {
    PAID("PAID"),
    CANCELED("CANCELED"),
    RESERVED("RESERVED");

    private static final Map<String, ReservationStatusEnum> map = new HashMap<>();

    private final String name;

    ReservationStatusEnum(String name) {
        this.name = name;
    }

    public String getName() { return name; }

    static {
        for (ReservationStatusEnum type : ReservationStatusEnum.values()) {
            map.put(type.getName(), type);
        }
    }

    public static ReservationStatusEnum fromString(String name) {
        return map.get(name);
    }
}
