package com.bytesw.bytebot.model.agency.enums;

import java.util.HashMap;
import java.util.Map;
import java.util.NoSuchElementException;

public enum RoleEnum {
    PASSENGER("PASSENGER"),
    SUPERVISOR("SUPERVISOR"),
    AGENT("AGENT");

    private static final Map<String, RoleEnum> map = new HashMap<>();

    private final String name;

    RoleEnum(String name) {
        this.name = name;
    }

    public String getName() { return name; }

    static {
        for (RoleEnum type : RoleEnum.values()) {
            map.put(type.getName(), type);
        }
    }

    public static RoleEnum fromString(String name) {
        if (map.containsKey(name)) {
            return map.get(name);
        }
        throw new NoSuchElementException("Role not found!");
    }
}
