package com.bytesw.bytebot.model.agency.enums;

import java.util.HashMap;
import java.util.Map;

public enum TravelClassEnum {
    FIRST_CLASS("FIRST-CLASS"),
    ECONOMIC("ECONOMIC"),
    BUSINESS("BUSINESS");

    private static final Map<String, TravelClassEnum> map = new HashMap<>();

    private final String name;

    TravelClassEnum(String name) {
        this.name = name;
    }

    public String getName() { return name; }

    static {
        for (TravelClassEnum type : TravelClassEnum.values()) {
            map.put(type.getName(), type);
        }
    }

    public static TravelClassEnum fromString(String name) {
        return map.get(name);
    }
}
