package com.bytesw.bytebot.repository.agency;

import com.bytesw.bytebot.model.agency.Flight;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.CrudRepository;
import org.springframework.stereotype.Repository;

import java.time.LocalDateTime;
import java.util.List;

public interface FlightRepository extends CrudRepository<Flight, Integer>, JpaSpecificationExecutor<Flight> {

    @Query(value = "SELECT f FROM Flight f WHERE f.airportOrigin.id = ?1 AND f.airportDestination.id = ?2 AND (?3 BETWEEN f.departureDate AND f.arrivalDate) AND f.deletedAt IS NULL")
    List<Flight> searchFlights
            (Integer airportOriginId, Integer airportDestinationId, LocalDateTime startDate);
}
