package com.bytesw.bytebot.service.agency;

import com.bytesw.bytebot.bean.agency.AircraftBean;
import com.bytesw.bytebot.model.agency.Aircraft;
import com.bytesw.bytebot.repository.agency.AircraftRepository;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

@Service
public class AircraftService {

    private final AircraftRepository aircraftRepository;

    public AircraftService(AircraftRepository aircraftRepository) {
        this.aircraftRepository = aircraftRepository;
    }

    public List<AircraftBean> getAll() {
        List<Aircraft> aircrafts = this.aircraftRepository.findAll();

        List<AircraftBean> aircraftBeans = new ArrayList<>();

        for(Aircraft aircraft: aircrafts) {
            aircraftBeans.add(AircraftBean.miniClone(aircraft));
        }
        return aircraftBeans;
    }

    public AircraftBean save(AircraftBean bean) {
        Aircraft aircraft = new Aircraft();

        aircraft.setName(bean.getLabel());
        return AircraftBean.miniClone(this.aircraftRepository.save(aircraft));
    }
}
