package com.bytesw.bytebot.service.agency;

import com.bytesw.bytebot.bean.AgentBean;
import com.bytesw.bytebot.bean.agency.AirlineBean;
import com.bytesw.bytebot.model.agency.Airline;
import com.bytesw.bytebot.repository.agency.AirlineRepository;
import lombok.extern.log4j.Log4j2;
import org.springframework.stereotype.Service;

import javax.transaction.Transactional;
import java.util.ArrayList;
import java.util.List;

@Service
@Transactional
@Log4j2
public class AirlinesService  {
    private final AirlineRepository airlineRepository;

    public AirlinesService(AirlineRepository airlineRepository) {
        this.airlineRepository = airlineRepository;
    }

    public List<AirlineBean> findAll() {
        List<Airline> airlines = airlineRepository.findAll();

        List<AirlineBean> list = new ArrayList<>();

        for (Airline airline : airlines) {
            list.add(AirlineBean.miniClone(airline));
        }

        return list;
    }

    public AirlineBean save(AirlineBean dto) {
        Airline airline = new Airline();
        airline.setName(dto.getLabel());

        return AirlineBean.miniClone(this.airlineRepository.save(airline));
    }
}
