package com.bytesw.bytebot.service.agency;

import com.bytesw.bytebot.bean.agency.AirportBean;
import com.bytesw.bytebot.model.agency.Airport;
import com.bytesw.bytebot.repository.agency.AirportRepository;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

@Service
public class AirportService {
    private final AirportRepository airportRepository;

    public AirportService(AirportRepository airportRepository) {
        this.airportRepository = airportRepository;
    }

    public List<AirportBean> getAll() {
        List<Airport> airports = this.airportRepository.findAll();

        List<AirportBean> airportBeans = new ArrayList<>();
        for (Airport airport: airports) {
            airportBeans.add(AirportBean.miniClone(airport));
        }
        return airportBeans;
    }

    public AirportBean save(AirportBean airportBean) {
        Airport airport = new Airport();
        airport.setId(airportBean.getValue());
        airport.setName(airportBean.getLabel());

        return AirportBean.miniClone(airportRepository.save(airport));
    }
}
